<?php declare(strict_types=1);

use Symfony\Config\MonologConfig;

return static function (MonologConfig $config): void {
	$config->handler('main', [
		'type' => 'stream',
		'path' => '%kernel.logs_dir%/%kernel.environment%.log',
		'level' => 'debug',
		'channels' => ['elements' => ['!event']],
	]);
	$config->handler('console', [
		'type' => 'console',
		'process_psr_3_messages' => FALSE,
		'channels' => ['elements' => ['!event', '!doctrine', '!console']],
	]);
};
