<?php declare(strict_types=1);

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Camera.flash
 */
#[ORM\Table(name: 'previously_owned_flash', schema: 'collection')]
#[ORM\Entity]
class PreviouslyOwnedFlash {
	use GetSet;
	use FlashBase;

	#[ORM\Column(name: 'id', type: 'integer', nullable: FALSE)]
	#[ORM\Id]
	#[ORM\GeneratedValue(strategy: 'IDENTITY')]
	private int $id;

	#[ORM\Column(name: 'received', type: 'boolean', nullable: FALSE, options: ['default' => TRUE])]
	private bool $received = TRUE;

	#[ORM\Column(name: 'formerly_owned', type: 'boolean', nullable: FALSE, options: ['default' => TRUE])]
	private bool $formerlyOwned = TRUE;
}
